<script setup lang="ts">
import { useMaterialStore } from '@/stores/material'

import type { VForm } from 'vuetify/components'

import { ref } from 'vue'
import { nextTick } from 'vue'

const refForm = ref<VForm | null>(null)
const materialStore = useMaterialStore()

function close() {
  materialStore.checkDialog = false
  nextTick(() => {
    materialStore.material.forEach((item, index) => {
      materialStore.material[index].material_qty = 0
    })
  })
}

function validate() {
  materialStore.checkDialog = false
}
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="materialStore.checkDialog" persistent width="1000px" height="1000px">
      <v-card>
        <v-card-title class="text-h5 text-center"> Check Stock </v-card-title>
        <v-card-text>
          <v-form ref="refForm" @submit.prevent="validate">
            <v-table fixed-header height="550px" style="overflow: auto">
              <thead>
                <tr>
                  <th class="text-center">ID</th>
                  <th class="text-center">Name</th>
                  <th class="text-center">Min Quantity</th>
                  <th class="text-center">Quantity in Stock</th>
                  <th class="text-center">Unit</th>
                  <th class="text-center">Edit Quantity</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item of materialStore.material" :key="item.material_id">
                  <td class="text-center">{{ item.material_id }}</td>
                  <td class="text-center">{{ item.material_name }}</td>
                  <td class="text-center">{{ item.material_min }}</td>
                  <td class="text-center">{{ item.material_qty }}</td>
                  <td class="text-center">{{ item.material_unit }}</td>
                  <td class="text-center">
                    <v-text-field
                      label="Quantity Now"
                      required
                      hide-details
                      v-model="item.material_qty"
                      type="number"
                    >
                    </v-text-field>
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <p style="font-size: 20px">
            ลงชื่อ(.........................)
            <br />
            (..........................)
            <br />
            พนักงาน
          </p>
        </v-card-actions>
        <v-card-actions>
          <v-spacer></v-spacer>
          <div>
            <v-spacer></v-spacer>
            <v-btn color="green-darken-1" variant="text" @click="close()"> Disagree </v-btn>
            <v-btn color="green-darken-1" variant="text" @click="validate()"> Agree </v-btn>
          </div>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
